Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-devel python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-iptables
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname iptables

%{echo 


}

Name:       python-module-iptables
Summary:    Python library for manipulating iptables
Version:    0.12.0
Release:    alt6_11
License:    ASL 2.0
URL:        https://github.com/ldx/%{oldname}
Source0:    %{url}/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildRequires:  gcc

BuildRequires: python3-devel
BuildRequires: python3-module-distribute
Source44: import.info
%add_findprov_skiplist %{python_sitelibdir}/libxtwrapper.so

%description
python-iptables is a library for doing iptables manipulations from python.


%package -n python3-module-iptables
Group: Development/Python
Summary:  %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-iptables
python-iptables is a library for doing iptables manipulations from Python 3.


%prep
%setup -n %{oldname}-%{version} -q

%build
chmod -x README.md
%python3_build

%install
%python3_install


%files -n python3-module-iptables
%doc README.md MANIFEST.in
%doc --no-dereference NOTICE
%{python3_sitelibdir}/iptc
%{python3_sitelibdir}/libxtwrapper*.so
%{python3_sitelibdir}/python_%{srcname}-%{version}-py%{__python3_version}.egg-info/

%changelog
* Thu Aug 24 2023 Cronbuild Service <cronbuild@altlinux.org> 0.12.0-alt6_11
- rebuild to get rid of unmets

* Wed Feb 02 2022 Cronbuild Service <cronbuild@altlinux.org> 0.12.0-alt5_11
- rebuild to get rid of unmets

* Thu Apr 15 2021 Cronbuild Service <cronbuild@altlinux.org> 0.12.0-alt4_11
- rebuild to get rid of unmets

* Sat Jun 13 2020 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt3_11
- update to new release by fcimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt3_10
- update to new release by fcimport

* Tue Oct 29 2019 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt3_9
- update to new release by fcimport

* Sat Sep 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt3_8
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt3_7
- update to new release by fcimport

* Fri Apr 19 2019 Cronbuild Service <cronbuild@altlinux.org> 0.12.0-alt3_6
- rebuild to get rid of unmets

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt2_6
- update to new release by fcimport

* Mon Dec 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt2_5
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt2_4
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt2_3
- update to new release by fcimport

* Sat May 05 2018 Cronbuild Service <cronbuild@altlinux.org> 0.12.0-alt2_2
- rebuild to get rid of unmets

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt1_2
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt1_1
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.11.0-alt1_6
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_12
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_11
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_10
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_9
- update to new release by fcimport

* Tue Dec 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_8
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_7
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_5
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_4
- initial fc import

